# Uses of Class
net.shibboleth.idp.plugin.authn.webauthn.context.InlineEnrolmentContext

Packages that use InlineEnrolmentContext
Package
Description
net.shibboleth.idp.plugin.authn.webauthn.admin.impl
This package has audit functions for WebAuthn.
net.shibboleth.idp.plugin.authn.webauthn.context
Context APIs for WebAuthn.

## Uses of InlineEnrolmentContext in net.shibboleth.idp.plugin.authn.webauthn.admin.impl

Fields in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type parameters of type InlineEnrolmentContext
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,InlineEnrolmentContext>`
InlineEnrolmentRedirectFunction.`inlineEnrolementContextCreationStrategy`
Strategy used to locate the `InlineEnrolmentContext`.
`private Function<ProfileRequestContext,InlineEnrolmentContext>`
PopulateInlineEnrolmentContext.`inlineEnrolementContextCreationStrategy`
Strategy used to locate or create the `InlineEnrolmentContext` to populate.
Method parameters in net.shibboleth.idp.plugin.authn.webauthn.admin.impl with type arguments of type InlineEnrolmentContext
Modifier and Type
Method
Description
`void`
InlineEnrolmentRedirectFunction.`setInlineEnrolementContextCreationStrategy(Function<ProfileRequestContext,InlineEnrolmentContext> strategy)`
Set the strategy used to locate the `InlineEnrolmentContext`.
`void`
PopulateInlineEnrolmentContext.`setInlineEnrolementContextCreationStrategy(Function<ProfileRequestContext,InlineEnrolmentContext> strategy)`
Set the strategy used to locate or create the `InlineEnrolmentContext`.

## Uses of InlineEnrolmentContext in net.shibboleth.idp.plugin.authn.webauthn.context

Methods in net.shibboleth.idp.plugin.authn.webauthn.context that return InlineEnrolmentContext
Modifier and Type
Method
Description
`InlineEnrolmentContext`
InlineEnrolmentContext.`setSsoUrl(URL url)`
Set the URL to redirect the user to after the flow has ended.